GDB (xrefs)

Public Member Functions | Protected Attributes | List of all members
debug_names::offset_vec Class Referenceabstract
Inheritance diagram for debug_names::offset_vec:

## Public Member Functions
| offset_vec (bfd_endian dwarf5_byte_order_)
virtual void | reserve (size_t nelem)=0
virtual void | push_back_reorder (size_t elem)=0
virtual size_t | bytes () const =0
virtual void | file_write (FILE *file) const =0

## Protected Attributes
const bfd_endian | dwarf5_byte_order

## Detailed Description

Definition at line 26422 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ offset_vec()

debug_names::offset_vec::offset_vec | ( | bfd_endian | dwarf5_byte_order_ | ) |
| inline explicit

Definition at line 26427 of file dwarf2read.c.

## Member Function Documentation

## ◆ bytes()

virtual size_t debug_names::offset_vec::bytes | ( |  | ) | const
| pure virtual

Implemented in debug_names::offset_vec_tmpl< OffsetSize >, debug_names::offset_vec_tmpl< uint32_t >, and debug_names::offset_vec_tmpl< uint64_t >.

Referenced by debug_names::bytes().

## ◆ file_write()

virtual void debug_names::offset_vec::file_write | ( | FILE * | file | ) | const
| pure virtual

Implemented in debug_names::offset_vec_tmpl< OffsetSize >, debug_names::offset_vec_tmpl< uint32_t >, and debug_names::offset_vec_tmpl< uint64_t >.

Referenced by debug_names::file_write().

## ◆ push_back_reorder()

virtual void debug_names::offset_vec::push_back_reorder | ( | size_t | elem | ) |
| pure virtual

Implemented in debug_names::offset_vec_tmpl< OffsetSize >, debug_names::offset_vec_tmpl< uint32_t >, and debug_names::offset_vec_tmpl< uint64_t >.

Referenced by debug_names::build().

## ◆ reserve()

virtual void debug_names::offset_vec::reserve | ( | size_t | nelem | ) |
| pure virtual

Implemented in debug_names::offset_vec_tmpl< OffsetSize >, debug_names::offset_vec_tmpl< uint32_t >, and debug_names::offset_vec_tmpl< uint64_t >.

Referenced by debug_names::build().

## Member Data Documentation

## ◆ dwarf5_byte_order

const bfd_endian debug_names::offset_vec::dwarf5_byte_order
| protected

Definition at line 26425 of file dwarf2read.c.

Referenced by debug_names::offset_vec_tmpl< uint64_t >::push_back_reorder().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c